package cn.com.poc.ai_software_copyright.service;

import cn.com.yict.framemax.core.service.BaseService;
import cn.com.poc.ai_software_copyright.entity.BizSoftwareCopyrightDocRecordEntity;
import cn.com.yict.framemax.data.model.PagingInfo;

import java.util.List;

public interface BizSoftwareCopyrightDocRecordService extends BaseService {

    BizSoftwareCopyrightDocRecordEntity get(java.lang.Long id) throws Exception;

    BizSoftwareCopyrightDocRecordEntity getByRelationId(java.lang.Long relationId);


    List<BizSoftwareCopyrightDocRecordEntity> findByExample(BizSoftwareCopyrightDocRecordEntity example,
                                                            PagingInfo pagingInfo);

    BizSoftwareCopyrightDocRecordEntity save(BizSoftwareCopyrightDocRecordEntity entity);

    BizSoftwareCopyrightDocRecordEntity update(BizSoftwareCopyrightDocRecordEntity entity);

    void deletedById(java.lang.Long id) throws Exception;

}